List Data Subject Requests for the authenticated tenant (TRU-57)
curl --request GET \
--url https://api.trulayer.ai/v1/dsr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trulayer.ai/v1/dsr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trulayer.ai/v1/dsr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by": "<string>",
"subject_id": "<string>",
"type": "delete",
"status": "pending",
"completed_at": "2023-11-07T05:31:56Z",
"export_url": "<string>",
"error_msg": "<string>"
}
],
"requests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by": "<string>",
"subject_id": "<string>",
"type": "delete",
"status": "pending",
"completed_at": "2023-11-07T05:31:56Z",
"export_url": "<string>",
"error_msg": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}dsr
List Data Subject Requests for the authenticated tenant (TRU-57)
Returns DSR requests newest-first with opaque cursor pagination. Dashboard-only.
GET
/
v1
/
dsr
List Data Subject Requests for the authenticated tenant (TRU-57)
Authorizations
SDK API key (tl_...) or Clerk session JWT
Query Parameters
Opaque cursor from a previous response's next_cursor.
Page size (1–200, default 50).
Required range:
1 <= x <= 200Response
Page of DSR requests
Legacy alias for requests. Present for v1 back-compatibility only.
New integrations should read requests. This field will be removed
after the 12-month deprecation window closes (see /v1/deprecations).
Show child attributes
Show child attributes
The page of DSR rows for this tenant. Canonical key — prefer over items.
Show child attributes
Show child attributes
Opaque cursor for the next page; omitted when there are no further rows.